<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      xmlns="http://www.w3.org/1999/xhtml">

<!-- Generic resources fragment-->
<div th:replace="fragments/header :: head (pageTitle = #{register.title})" th:remove="tag">
    <h1>Aquí va el contingut del head amb els metas i els css</h1>
</div>

</head>
<body>
<!-- Header fragment -->
<div th:replace="fragments/header :: header" th:remove="tag">
    <h1>Aquí va el contingut del header amb el seu menu</h1>
</div>

<!-- Page top section -->
<section class="page-top-section set-bg" th:attr="data-setbg=@{/img/header-bg/2.jpg}" data-setbg="img/header-bg/2.jpg">
    <div class="container">
        <h2 th:text="#{register.title}">Registre</h2>
    </div>
</section>
<!-- Page top section end -->

<!-- Blog section -->
<section class="blog-section spad">
    <div class="container">
        <div class="row" th:if="${errorMessage}">
            <div class="col-lg-12">
                <div class="blog-post single-post">
                    <h3 th:text="#{register.error}">Error</h3>
                    <h4>[[${errorMessage}]]</h4>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12">
                <div class="blog-post single-post">
                    <form class="comment-form" method="post" th:action="@{/register}">
                        <div class="row">
                            <div class="col-md-4 comment-text">
                                <input type="email" id="username"  name="username" th:attr="placeholder=#{register.email}" placeholder="Email" required="required">
                            </div>
                            <div class="col-md-4">
                                <input type="password" id="password"  name="password" th:attr="placeholder=#{register.password}" placeholder="Password" required="required">
                            </div>
                            <div class="col-md-4">
                                <input type="text" id="alias"  name="alias" th:attr="placeholder=#{register.alias}" placeholder="alias" required="required">
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-4">
                                <button class="site-btn" th:text="#{register.button}">Registra'm!</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</section>

<!-- footer fragment -->
<div th:replace="fragments/footer :: footer" th:remove="tag">
    <h1>Aquí la informació del footer</h1>
</div>

<!-- Generic Scripts fragment -->
<div th:replace="fragments/header :: scripts" th:remove="tag">
    <h1>Aquí posem els javascripts</h1>
</div>

</body>
</html>
